# SPEC file for AdPlug-XMMS, primary target is the Fedora Extras
# RPM repository. Package name is adplug-xmms upstream. Fedora Extras
# count it as a subpackage to XMMS so it has been renamed xmms-adplug.

Name:		xmms-adplug
Version:	1.2
Release:	3%{?dist}
Summary:	An XMMS plugin for AdLib (OPL2) music built on AdPlug
URL:		http://adplug.sourceforge.net/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/adplug/adplug-xmms-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	LGPL
BuildRequires:	adplug-devel
BuildRequires:  xmms-devel

%description
XMMS-AdPlug is an XMMS plug-in for AdLib (OPL2) music utilizing
the AdPlug library. (The upstream name of this package is AdPlug-XMMS.)

%prep
%setup -q -n adplug-xmms-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# We don't want this.
rm -f $RPM_BUILD_ROOT%{_libdir}/xmms/Input/libadplugxmms.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/xmms/Input/libadplugxmms.so
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Fri Sep 1 2006 Linus Walleij <triad@df.lth.se> 1.2-3
- Rebuild for Fedora Extras 6.

* Wed Jul 26 2006 Linus Walleij <triad@df.lth.se> 1.2-2
- Version bump to keep sync with upstream library revision.

* Sat May 6 2006 Linus Walleij <triad@df.lth.se> 1.2-1
- Upstream release new version.

* Wed Feb 1 2006 Linus Walleij <triad@df.lth.se> 1.1-5
- Unneeded BR and fixup CXXFLAGS.

* Wed Jan 25 2006 Linus Walleij <triad@df.lth.se> 1.1-4
- Package naming and so again at Warren Togamis request.

* Tue Jan 24 2006 Linus Walleij <triad@df.lth.se> 1.1-3
- Download address.

* Mon Jan 23 2006 Linus Walleij <triad@df.lth.se> 1.1-2
- Package name should be names as subpackage to XMMS. (Ville)

* Thu Jan 19 2006 Linus Walleij <triad@df.lth.se> 1.1-1
- First try at an AdPlug-XMMS RPM.
